Package jaxe

# Class Jaxe

java.lang.Object
jaxe.Jaxe

public class Jaxe extends Object
Classe de départ de Jaxe, avec la gestion des évènements de l'application

## Field Summary

Fields
Modifier and Type
Field
Description
`static ArrayList<JaxeFrame>`
`allFrames`

## Constructor Summary

Constructors
Constructor
Description
`Jaxe(String nomFichierCfg)`
Nouvel objet identifiant l'application

## Method Summary

Modifier and Type
Method
Description
`static void`
`aPropos()`
Dialogue "à propos" de l'application
`static void`
`dialogueDepart()`
Dialogue Nouveau/Ouvrir/Quitter au lancement de l'application
`static void`
`dialogueNouveau(JaxeFrame jframe)`
Dialogue de choix d'une configuration pour créer un nouveau document
`static void`
`finDialogueDepart()`
`static EntityResolver`
`getEntityResolver()`
`static URIResolver`
`getURIResolver()`
`static void`
`main(String[] args)`
Méthode principale
`static void`
`nouveau(JaxeFrame jframe)`
Ouverture d'un nouveau document dans une frame particulière, ou dans une nouvelle frame si jframe==null
`static void`
`ouvrir(File f, JaxeFrame jframe)`
Ouverture d'un fichier XML dans une frame particulière, ou dans une nouvelle frame si jframe==null
`static void`
`ouvrirAvecConf(File f, File fconf, JaxeFrame jframe)`
Ouverture d'un fichier XML avec une configuration particulière, dans une frame particulière ou dans une nouvelle frame si jframe==null
`static void`
`ouvrirConf(File f, JaxeFrame jframe)`
Ouverture d'un nouveau document avec la configuration spécifiée
`static void`
`preferences()`
Dialogue des préférences de l'application
`static JaxeFrame`
`premiereFrame()`
Renvoit la première fenêtre ouverte (pas forcément celle au premier plan)
`static void`
`quitter()`
Quitte l'application
`static void`
`setIconeValide(boolean iconeValide)`
Change l'icône "valide" dans toutes les fenêtres
`static void`
`setResolver(Object resolver)`
Défini un resolver pour URI et entités.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### allFrames

public static ArrayList<JaxeFrame> allFrames

## Constructor Details

### Jaxe

public Jaxe(String nomFichierCfg)
Nouvel objet identifiant l'application

## Method Details

### nouveau

public static void nouveau(JaxeFrame jframe)
Ouverture d'un nouveau document dans une frame particulière, ou dans une nouvelle frame si jframe==null

### dialogueNouveau

public static void dialogueNouveau(JaxeFrame jframe)
Dialogue de choix d'une configuration pour créer un nouveau document

### dialogueDepart

public static void dialogueDepart()
Dialogue Nouveau/Ouvrir/Quitter au lancement de l'application

### finDialogueDepart

public static void finDialogueDepart()

### ouvrir

public static void ouvrir(File f, JaxeFrame jframe)
Ouverture d'un fichier XML dans une frame particulière, ou dans une nouvelle frame si jframe==null

### ouvrirAvecConf

public static void ouvrirAvecConf(File f, File fconf, JaxeFrame jframe)
Ouverture d'un fichier XML avec une configuration particulière, dans une frame particulière ou dans une nouvelle frame si jframe==null

### ouvrirConf

public static void ouvrirConf(File f, JaxeFrame jframe)
Ouverture d'un nouveau document avec la configuration spécifiée

### quitter

public static void quitter()
Quitte l'application

### aPropos

public static void aPropos()
Dialogue "à propos" de l'application

### preferences

public static void preferences()
Dialogue des préférences de l'application

### setIconeValide

public static void setIconeValide(boolean iconeValide)
Change l'icône "valide" dans toutes les fenêtres

### premiereFrame

public static JaxeFrame premiereFrame()
Renvoit la première fenêtre ouverte (pas forcément celle au premier plan)

### getEntityResolver

public static EntityResolver getEntityResolver()

### getURIResolver

public static URIResolver getURIResolver()

### setResolver

public static void setResolver(Object resolver)
Défini un resolver pour URI et entités. La classe de l'objet doit implémenter les interfaces URIResolver et EntityResolver. Un exemple est le CatalogResolver d'Apache.

### main

public static void main(String[] args)
Méthode principale